[
  {
    "metadataOutputVersion" : "3.0",
    "storagePrecision" : "Float16",
    "outputSchema" : [
      {
        "hasShapeFlexibility" : "0",
        "isOptional" : "0",
        "dataType" : "Float32",
        "formattedType" : "MultiArray (Float32 1 × 128)",
        "shortDescription" : "",
        "shape" : "[1, 128]",
        "name" : "linear_0",
        "type" : "MultiArray"
      }
    ],
    "modelParameters" : [

    ],
    "specificationVersion" : 6,
    "mlProgramOperationTypeHistogram" : {
      "Square" : 1,
      "Concat" : 1,
      "Linear" : 1,
      "Sub" : 37,
      "Transpose" : 1,
      "RealDiv" : 36,
      "Relu" : 33,
      "Mul" : 36,
      "Cast" : 2,
      "ReduceMean" : 75,
      "BatchNorm" : 36,
      "ExpandDims" : 1,
      "Add" : 53,
      "Sqrt" : 37,
      "Conv" : 36,
      "Reshape" : 2
    },
    "computePrecision" : "Mixed (Float16, Float32, Int32)",
    "isUpdatable" : "0",
    "stateSchema" : [

    ],
    "availability" : {
      "macOS" : "12.0",
      "tvOS" : "15.0",
      "visionOS" : "1.0",
      "watchOS" : "8.0",
      "iOS" : "15.0",
      "macCatalyst" : "15.0"
    },
    "modelType" : {
      "name" : "MLModelType_mlProgram"
    },
    "userDefinedMetadata" : {
      "com.github.apple.coremltools.source_dialect" : "TorchScript",
      "com.github.apple.coremltools.version" : "7.2",
      "com.github.apple.coremltools.source" : "torch==2.4.0"
    },
    "inputSchema" : [
      {
        "hasShapeFlexibility" : "0",
        "isOptional" : "0",
        "dataType" : "Float32",
        "formattedType" : "MultiArray (Float32 1 × 150 × 80)",
        "shortDescription" : "",
        "shape" : "[1, 150, 80]",
        "name" : "x_1",
        "type" : "MultiArray"
      }
    ],
    "generatedClassName" : "resnet34_vox2_emb_128_exp_335",
    "method" : "predict"
  }
]